adie(1)

NAME
Adie - The ADvanced Interactive Editor

SYNOPSIS
adie [options] [ files... ]

INTRODUCTION
Adie is an extremely fast and convenient programming text editor using the FOX Toolkit. The text being edited can be colorized by user-configurable colors and user-configurable syntax rules. However, many programming languages are already supported with supplied syntax coloring rules in the "Adie.stx" rules-file. At this time, syntax rules are available for C, C++, C#, Pascal, Python, Fortran, Ada, Ruby, Perl, Lua, Java, JavaScript, Go, Assembler, Shell, Matlab, and many more. The rule-set used for colorizing is determined either by file-extensions or by file contents, but may be forced explicitly if needed. For each visited file, Adie remembers the location in that file, bookmarks, and whether custom syntax rule-set was used so that next time the file is visited, the user will be positioned at the same place in the file, and the text will be colorized like last time.

OPTIONS

-?, -h, or --help
    Print summary usage information of all the supported options.

-v --view
    Open the file for viewing only. Editor commands which change the text are not allowed.

-e --edit
    Open the file for editing.

-V --version
    Display version and license information.

-l <number> --line <number>
    Jump to given line number after opening file for editing.

-c <number> --col <number>
    Jump to given column number after opening file for editing; often used in addition to the previous parameter to jump to a particular place in the text.

-S <syntax> --syntax <syntax>
    Load the syntax rules from the given syntax file rather than searching for the syntax file in the usual places (a file called "Adie.stx" in one of the $PATH directories, or the syntax file listed in the configuration settings).

-L <language> --lang <language>
    After loading the file, switch to the given programming language for syntax coloring. The normal rules for determining the file's syntax (file extension of content maching) are ignored.

FEATURES
General Features Preferences are configurable with convenient dialogs. - Text size only limited by available memory.
- Persistent bookmarks may be set for each file.
- Persistent scroll position is remembered for each visited file.
- Wheel mouse scroll support.
- Online help built in. File Access Features. - File Dialog supporting bookmarked directories.
- Dropping a file into Adie opens the file.
- Single-click access to file using File/Directory browser.
- Visit recently edited files.
- Jump to file and line number of highlighted compiler warnings or errors.
- Customizable list of file patterns; show only source files, for example.
- Open a file by highlighting a #include directive.
- Customizable list of directories to search for header files.
- Detect if file changed outside of editor to prevent accidental overwriting. Editing Features. - Unlimited undo/redo capability.
- Cut and paste to clipboard support.
- X11 primary selection support using middle-mouse paste.
- Drag-and-drop support for text move or copy.
- Brace matching, statement block, and expression block selection.
- Up to 10 persistent bookmarks may be set in each file.
- Search and replace history is stored persistently.
- Auto-indent feature.
- Strip trailing spaces, strip carriage-returns for DOS files.
- Indent or unindent selected text; clean indentation.
- Search for highlighted text.
- Goto line number, goto highlighted line number, goto matching brace, goto begin/end of block.
- Fixed word wrap column, or continuous word wrap mode.
- Mouse wheel or right-mouse scroll support.
- Customizable word-delimiters to select words by double-clicks.
- Insert files or extract highlighted text to file.

AUTHOR
This manpage was originally written by Bastian Kleineidam <calvin@debian.org> for the Debian distribution of the FOX Toolkit, and is currently maintained by Jeroen van der Zijp (jeroen@fox-toolkit.com).

COPYRIGHT
Copyright © 1997,2016 Jeroen van der Zijp.
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

SEE ALSO
The Adie text editor is a part of the FOX GUI Toolkit. Further information can be found at: http://www.fox-toolkit.org The FOX Toolkit website includes detailed information about the Adie Editor.